View Issue Details

IDProjectCategoryView StatusLast Update
0000977Main CAcert Websiteaccount administrationpublic2013-03-21 07:23
ReporterUli60 Assigned ToNEOatNHNG  
PrioritynormalSeveritytextReproducibilityalways
Status closedResolutionfixed 
Fixed in Version2012 Q4 
Summary0000977: admin console Sysadmin - find domain - lists 2 tables - one for user accounts, one for org accounts, naming issue
Descriptionadmin console
Sysadmin - find domain
https://<website>/account.php?id=48
lists 2 tables, both named "Select Specific Account Details"
to name table 1 => User accounts
to name table 2 => Org accounts

select user account domain displays
https://<website>/account.php?id=43&userid=<userid>
select org account domain displays
https://<website>/account.php?id=26&orgid=<orgid>
Steps To ReproduceSysadmin - find domain
https://<website>/account.php?id=48
lists 2 tables, both named "Select Specific Account Details"
to name table 1 => User accounts
to name table 2 => Org accounts
TagsNo tags attached.
Reviewed byNEOatNHNG, BenBE
Test Instructions

Activities

Uli60

2011-08-31 13:49

updater  

49.php (3,805 bytes)

Uli60

2011-08-31 13:50

updater   ~0002390

fix of 2 text _() lines in /pages/account/49.php

INOPIAE

2012-10-30 21:51

updater   ~0003288

Test shows the new table headers.
=> OK

NEOatNHNG

2012-10-30 22:11

administrator   ~0003290

Changes look good. Needs another test.

Uli60

2012-10-30 22:25

updater   ~0003291

login to SE enabled account
https://cacert1.it-sls.de/account.php?id=48

shows

Select Specific User Account Details <=== variant A
Domain: 167926 wiamail.de
1 rows displayed.


Select Specific Organisation Account Details <=== variant B
Domain: 744 wiamail.de
1 rows displayed.

=> Ok

Uli60

2012-10-30 22:29

updater   ~0003292

tested by 2, reviews done,
needs transfer to critical team

wytze

2012-11-01 14:00

developer   ~0003312

The fix has been installed on the production server on November 1, 2012.
See also: https://lists.cacert.org/wws/arc/cacert-systemlog/2012-11/msg00001.html

INOPIAE

2012-11-11 20:44

updater   ~0003324

change the layout for no results and pushed it to the git-hub
https://github.com/INOPIAE/CAcert/tree/bug-977

INOPIAE

2012-11-21 00:26

updater   ~0003363

Last edited: 2012-11-21 00:28

View 2 revisions

Domain test with sh24.de shows the missing personal domain as desired.
=> ok
Domain test with imtec-europe.de shows the missing organisation domain as desired.
=> ok

=>ok

Uli60

2012-11-21 00:28

updater   ~0003364

a. find domain:
No personal domains found matching sh24.de

Select Specific Organisation Account Details
Domain: 743 sh24.de
1 rows displayed.
=> ok


b. find domain
Select Specific User Account Details
Domain: 167926 wiamail.de
1 rows displayed.


Select Specific Organisation Account Details
Domain: 744 wiamail.de
1 rows displayed.
=> ok

c. find domain
Select Specific User Account Details
Domain: 167927 avintec.de
Domain: 167942 fra.avintec.de
2 rows displayed.


Select Specific Organisation Account Details
Domain: 787 fra.avintec.de
1 rows displayed.
=> ok

d. find domain
Select Specific User Account Details
Domain: 167948 imtec-europe.de
1 rows displayed.


No organisational domains found matching imtec-europe.de
=> ok

Uli60

2012-11-21 00:57

updater   ~0003367

tested by 2 after design update has been pushed
and passes 1st review on 2012-11-20

NEOatNHNG

2012-12-09 23:35

administrator   ~0003388

Sent to critical admins.

wytze

2012-12-11 14:42

developer   ~0003395

The patch has been installed on the production server on December 11, 2012. See also: https://lists.cacert.org/wws/arc/cacert-systemlog/2012-12/msg00003.html

Werner Dworak

2013-03-21 07:23

updater   ~0003831

More than 3 months solved

Issue History

Date Modified Username Field Change
2011-08-31 13:37 Uli60 New Issue
2011-08-31 13:48 Uli60 Assigned To => Uli60
2011-08-31 13:48 Uli60 Status new => needs work
2011-08-31 13:49 Uli60 File Added: 49.php
2011-08-31 13:50 Uli60 Note Added: 0002390
2011-08-31 13:50 Uli60 Status needs work => fix available
2012-10-30 21:50 BenBE Source_changeset_attached => cacert-devel testserver b493b800
2012-10-30 21:50 BenBE Source_changeset_attached => cacert-devel testserver e1aa7c81
2012-10-30 21:51 BenBE Reviewed by => BenBE
2012-10-30 21:51 BenBE Status fix available => needs review & testing
2012-10-30 21:51 INOPIAE Note Added: 0003288
2012-10-30 22:11 NEOatNHNG Reviewed by BenBE => NEOatNHNG, BenBE
2012-10-30 22:11 NEOatNHNG Note Added: 0003290
2012-10-30 22:11 NEOatNHNG Status needs review & testing => needs testing
2012-10-30 22:25 Uli60 Note Added: 0003291
2012-10-30 22:29 Uli60 Note Added: 0003292
2012-10-30 22:29 Uli60 Assigned To Uli60 => BenBE
2012-10-30 22:29 Uli60 Status needs testing => ready to deploy
2012-10-31 18:45 BenBE Source_changeset_attached => cacert-devel release 06b1d82f
2012-11-01 14:00 wytze Note Added: 0003312
2012-11-01 14:00 wytze Status ready to deploy => solved?
2012-11-01 14:00 wytze Resolution open => fixed
2012-11-11 20:44 INOPIAE Note Added: 0003324
2012-11-11 20:44 INOPIAE Status solved? => fix available
2012-11-20 22:25 BenBE Source_changeset_attached => cacert-devel testserver dce673ef
2012-11-20 22:25 INOPIAE Source_changeset_attached => cacert-devel testserver e8bdb071
2012-11-21 00:26 INOPIAE Note Added: 0003363
2012-11-21 00:28 Uli60 Note Added: 0003364
2012-11-21 00:28 INOPIAE Note Edited: 0003363 View Revisions
2012-11-21 00:55 Uli60 Assigned To BenBE => NEOatNHNG
2012-11-21 00:55 Uli60 Status fix available => needs review & testing
2012-11-21 00:57 Uli60 Note Added: 0003367
2012-11-21 00:57 Uli60 Status needs review & testing => needs review
2012-12-09 23:35 NEOatNHNG Note Added: 0003388
2012-12-09 23:35 NEOatNHNG Status needs review => ready to deploy
2012-12-10 00:35 NEOatNHNG Source_changeset_attached => cacert-devel release 46af74cc
2012-12-11 14:42 wytze Note Added: 0003395
2012-12-11 14:42 wytze Status ready to deploy => solved?
2013-01-13 13:18 Werner Dworak Fixed in Version => 2012 Q4
2013-03-21 07:23 Werner Dworak Note Added: 0003831
2013-03-21 07:23 Werner Dworak Status solved? => closed